Subject: bug#35219: 27.0.50; Problems with nnimap groups with non-ASCII characters

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 10 Apr 2019 10:14:34 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> This started showing up yesterday after recent changes in Gnus:
>
> To reproduce: Create an nnimap group called "Tést".  Restarting Gnus
> will properly create the group "Tést", but Gnus will also say
>
> nnimap read 12k from quimby.gnus.org (initial sync of 3 groups; please wait)
>
> If you then quit Gnus and restart Gnus, this group will appear:
>
>        *: nnimap+quimby.gnus.org:T\351st
>
> If you try to kill it, all the groups in the buffer will disappear.
>
> So something went wrong during whatever the most recent group-related
> changes were.  :-)

Gaah... I've got a pile of tests in place for exactly this! Give me a
bit and I'll try to reproduce.